<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/admin"></ion-back-button>
    </ion-buttons>
    <ion-title>Edit</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #form="ngForm" (ngSubmit)="onSubmit(form)">
    <ion-list>
      <ion-item>
        <ion-label position="floating">URL Foto</ion-label>
        <ion-textarea type="text" ngModel name="foto" #fotoCtrl="ngModel" required [(ngModel)]="listFoto"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Jenis</ion-label>
        <ion-select placeholder="Select Jenis"  ngModel name="jenis" #jenisCtrl="ngModel" required [compareWith]="compareWith" [(ngModel)]="loadedProduct.jenis" [disabled]='true'>
          <ion-select-option *ngFor="let ea of type" value={{ea.id}}>{{ea.value}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Nama</ion-label>
        <ion-input type="text" ngModel name="nama" required #namaCtrl="ngModel" [(ngModel)]="loadedProduct.merk"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Model</ion-label>
        <ion-input type="text" ngModel name="model" required #modelCtrl="ngModel" [(ngModel)]="loadedProduct.model"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Harga</ion-label>
        <ion-input type="text" ngModel name="harga" required #hargaCtrl="ngModel" [(ngModel)]="loadedProduct.harga"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Stock</ion-label>
        <ion-input type="number" ngModel name="stock" required #stockCtrl="ngModel" [(ngModel)]="loadedProduct.stock"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Detail</ion-label>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Base Clock</ion-label>
        <ion-input type="text" ngModel name="base" required #baseCtrl="ngModel" [(ngModel)]="loadedProduct.base"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Boost Clock</ion-label>
        <ion-input type="text" ngModel name="boost" required #boostCtrl="ngModel" [(ngModel)]="loadedProduct.boost"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Jumlah Core</ion-label>
        <ion-input type="text" ngModel name="core" required #coreCtrl="ngModel" [(ngModel)]="loadedProduct.core"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Thread</ion-label>
        <ion-input type="text" ngModel name="thread" required #threadCtrl="ngModel" [(ngModel)]="loadedProduct.thread"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '2';">
        <ion-label position="floating">Speed</ion-label>
        <ion-input type="text" ngModel name="speed" required #speedCtrl="ngModel" [(ngModel)]="loadedProduct.speed"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '2';">
        <ion-label position="floating">Ukuran</ion-label>
        <ion-input type="text" ngModel name="ukuran" required #ukuranCtrl="ngModel" [(ngModel)]="loadedProduct.ukuran"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '3';">
        <ion-label position="floating">Chipset</ion-label>
        <ion-input type="text" ngModel name="chipset" required #chipsetCtrl="ngModel" [(ngModel)]="loadedProduct.chipset"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '3';">
        <ion-label position="floating">Merk prosesor</ion-label>
        <ion-input type="text" ngModel name="prosesor" required #prosesorCtrl="ngModel" [(ngModel)]="loadedProduct.prosesor"></ion-input>
      </ion-item>
    </ion-list>
    <ion-button color="primary" type="submit" expand="block" [disabled]="!form.valid">Save</ion-button>
  </form>
</ion-content>
